import Vue from 'vue'
import Router from 'vue-router'

import Home from './pages/Home.vue'

/**
 * Layout 布局组件
 */
import Flex from './pages/Flex.vue'
import Cell from './pages/Cell.vue'
import Icon from './pages/Icon.vue'
import Tag from './pages/Tag.vue'
import Btn from './pages/Btn.vue'
import TitleGroup from './pages/TitleGroup.vue'
import TnTitle from './pages/TnTitle.vue'
import DeviceTop from './pages/DeviceTop.vue'

/**
 * Form 表单组件
 */
import Radio from './pages/Radio.vue'
import InputCell from './pages/InputCell.vue'
import TextInputCell from './pages/TextInputCell.vue'
import InputNumber from './pages/InputNumber.vue'
import SwitchButton from './pages/SwitchButton.vue'
import PushButton from './pages/PushButton.vue'
import PushBar from './pages/PushBar.vue'
import Slider from './pages/Slider.vue'
import ColorPicker from './pages/ColorPicker.vue'
import SelectColor from './pages/SelectColor.vue'

/**
 * Notice 通知组件
 */
import Loading from './pages/Loading.vue'
import Toast from './pages/Toast.vue'
import Dialog from './pages/Dialog.vue'
import Alert from './pages/Alert.vue'
import Confirm from './pages/Confirm.vue'
import ProgressBar from './pages/ProgressBar.vue'
import Notice from './pages/Notice.vue'
import OpenMeshDepend from './pages/OpenMeshDepend.vue'

/**
 * Navigation 导航组件
 */
import Header from './pages/Header.vue'
import Tab from './pages/Tab.vue'

/**
 * Others 其他组件
 */
import ActionDialog from './pages/ActionDialog.vue'
import SelectPicker from './pages/SelectPicker.vue'
import DayPicker from './pages/DayPicker.vue'
import Swipe from './pages/Swipe.vue'
import DateTime from './pages/DateTime.vue'
import SelectList from './pages/SelectList.vue'
import ModalList from './pages/ModalList.vue'

/**
 * IoT域 组件和方法
 */
import IotHeader from './pages/IotHeader.vue'
import IotLayout from './pages/IotLayout.vue'
import IotIO from './pages/IotIO.vue'
import IotChart from './pages/IotChart.vue'
import IotDayPicker from './pages/IotDayPicker.vue'
import IotUserList from './pages/IotUserList.vue'
import IotTab from './pages/IotTab.vue'

Vue.use(Router)

export const routes = [
  // Tunas
  {
    path: '/',
    component: Home,
    meta: {
      title: 'Home'
    }
  },
  // Layout
  {
    path: '/Flex',
    component: Flex,
    meta: {
      title: 'Flex',
      group: 'Layout',
    }
  },
  {
    path: '/Cell',
    component: Cell,
    meta: {
      title: 'Cell',
      group: 'Layout',
      scroll: true,
    }
  },
  {
    path: '/Icon',
    component: Icon,
    meta: {
      title: 'Icon',
      group: 'Layout',
    }
  },
  {
    path: '/Tag',
    component: Tag,
    meta: {
      title: 'Tag',
      group: 'Layout',
    }
  },
  {
    path: '/Btn',
    component: Btn,
    meta: {
      title: 'Btn',
      group: 'Layout',
    }
  },
  {
    path: '/TitleGroup',
    component: TitleGroup,
    meta: {
      title: 'TitleGroup',
      group: 'Layout',
    }
  },
  {
    path: '/TnTitle',
    component: TnTitle,
    meta: {
      title: 'TnTitle',
      group: 'Layout',
    }
  },
  {
    path: '/DeviceTop',
    component: DeviceTop,
    meta: {
      title: 'DeviceTop',
      group: 'Layout',
    }
  },
  // Form
  {
    path: '/Radio',
    component: Radio,
    meta: {
      title: 'Radio',
      group: 'Form',
    }
  },
  {
    path: '/InputCell',
    component: InputCell,
    meta: {
      title: 'InputCell',
      group: 'Form',
    }
  },
  {
    path: '/TextInputCell',
    component: TextInputCell,
    meta: {
      title: 'TextInputCell',
      group: 'Form',
    }
  },
  {
    path: '/InputNumber',
    component: InputNumber,
    meta: {
      title: 'InputNumber',
      group: 'Form',
    }
  },
  {
    path: '/SwitchButton',
    component: SwitchButton,
    meta: {
      title: 'SwitchButton',
      group: 'Form',
    }
  },
  {
    path: '/PushButton',
    component: PushButton,
    meta: {
      title: 'PushButton',
      group: 'Form',
    }
  },
  {
    path: '/PushBar',
    component: PushBar,
    meta: {
      title: 'PushBar',
      group: 'Form',
    }
  },
  {
    path: '/SelectPicker',
    component: SelectPicker,
    meta: {
      title: 'SelectPicker',
      group: 'Form',
    }
  },
  {
    path: '/Slider',
    component: Slider,
    meta: {
      title: 'Slider',
      group: 'Form',
    }
  },
  {
    path: '/ColorPicker',
    component: ColorPicker,
    meta: {
      title: 'ColorPicker',
      group: 'Form',
    }
  },
  {
    path: '/SelectColor',
    component: SelectColor,
    meta: {
      title: 'SelectColor',
      group: 'Form',
    }
  },
  // Notice
  {
    path: '/Loading',
    component: Loading,
    meta: {
      title: 'Loading',
      group: 'Notice',
    }
  },
  {
    path: '/Toast',
    component: Toast,
    meta: {
      title: 'Toast',
      group: 'Notice',
    }
  },
  {
    path: '/Dialog',
    component: Dialog,
    meta: {
      title: 'Dialog',
      group: 'Notice',
    }
  },
  {
    path: '/Alert',
    component: Alert,
    meta: {
      title: 'Alert',
      group: 'Notice',
      scroll: true,
    }
  },
  {
    path: '/Confirm',
    component: Confirm,
    meta: {
      title: 'Confirm',
      group: 'Notice',
    }
  },
  {
    path: '/ProgressBar',
    component: ProgressBar,
    meta: {
      title: 'ProgressBar',
      group: 'Notice',
    }
  },
  {
    path: '/Notice',
    component: Notice,
    meta: {
      title: 'Notice',
      group: 'Notice',
    }
  },
  {
    path: '/OpenMeshDepend',
    component: OpenMeshDepend,
    meta: {
      title: 'OpenMeshDepend',
      group: 'Notice',
    }
  },
  // Navigation
  {
    path: '/Header',
    component: Header,
    meta: {
      title: 'Header',
      group: 'Navigation',
      scroll: true,
    }
  },
  {
    path: '/Tab',
    component: Tab,
    meta: {
      title: 'Tab',
      group: 'Navigation',
    }
  },
  // Others
  {
    path: '/ActionDialog',
    component: ActionDialog,
    meta: {
      title: 'ActionDialog',
      group: 'Others',
      scroll: true,
    }
  },
  {
    path: '/DateTime',
    component: DateTime,
    meta: {
      title: 'DateTime',
      group: 'Others'
    }
  },
  {
    path: '/SelectList',
    component: SelectList,
    meta: {
      title: 'SelectList',
      group: 'Others'
    }
  },
  {
    path: '/ModalList',
    component: ModalList,
    meta: {
      title: 'ModalList',
      group: 'Others'
    }
  },
  {
    path: '/DayPicker',
    component: DayPicker,
    meta: {
      title: 'DayPicker',
      group: 'Others',
      scroll: true,
    }
  },
  {
    path: '/Swipe',
    component: Swipe,
    meta: {
      title: 'Swipe',
      group: 'Others',
      scroll: true
    }
  },
  // IoT域
  {
    path: '/IotHeader',
    component: IotHeader,
    meta: {
      title: 'IotHeader',
      group: 'IoT',
      scroll: true,
    }
  },
  {
    path: '/IotLayout',
    component: IotLayout,
    meta: {
      title: 'IotLayout',
      group: 'IoT',
    }
  },
  {
    path: '/IotIO',
    component: IotIO,
    meta: {
      title: 'IotIO',
      group: 'IoT',
    }
  },
  {
    path: '/IotChart',
    component: IotChart,
    meta: {
      title: 'IotChart',
      group: 'IoT',
    }
  },
  {
    path: '/IotDayPicker',
    component: IotDayPicker,
    meta: {
      title: 'IotDayPicker',
      group: 'IoT',
    }
  },
  {
    path: '/IotUserList',
    component: IotUserList,
    meta: {
      title: 'IotUserList',
      group: 'IoT',
    }
  },
  {
    path: '/IotTab',
    component: IotTab,
    meta: {
      title: 'IotTab',
      group: 'IoT',
    }
  }
]

export default new Router({
  mode: 'hash',
  routes
})
