import Vue from 'vue'
import LoadingVue from './src/loading.vue'

let instance

const Loading = {
  open(options) {
    options = options || {}
    if (!instance) {
      instance = new LoadingVue({
        el: document.createElement('div')
      })
    }
    if (instance.visible) return
    instance.text = typeof options === 'string' ? options : options.text || ''
    document.body.appendChild(instance.$el)
    instance.visible = true
    instance.type = options.type ? options.type : 'commonLoading'

    if (options.duration > 0) {
      setTimeout(function() {
        Loading.close()
      }, options.duration)
    }
  },
  close() {
    if (instance) {
      instance.visible = false
    }
  },
  install(Vue) {
    Vue.prototype.$loading = Loading
  }
}

export default Loading
