import OpenMeshDependVue from './src/openMeshDepend.vue'

let instance
const OpenMeshDepend = {
  open(options) {
    options = options || {}
    if (!instance) {
      instance = new OpenMeshDependVue({
        el: document.createElement('div')
      })
    }
    if (instance.visible) return
    document.body.appendChild(instance.$el)
    instance.show = true
    instance.phoneMeshStatus = options.phoneMeshStatus
    instance.AndroidLocationStatus = options.AndroidLocationStatus
    instance.AndroidLocationPermissionStatus = options.AndroidLocationPermissionStatus
  },
  close() {
    if (instance) {
      instance.show = false
    }
  },
  install(Vue) {
    Vue.prototype.$openMeshDepend = OpenMeshDepend
  }
}

export default OpenMeshDepend
