import SdkShowVue from './src/sdkShow.vue'

let instance
const SdkShow = {
  open(options) {
    options = options || {}
    if (!instance) {
      instance = new SdkShowVue({
        el: document.createElement('div')
      })
    }
    if (instance.visible) return
    document.body.appendChild(instance.$el)
    instance.show = true
    instance.close = false
    instance.text = options.text
    instance.type = options.type
    instance.top = options.top
    instance.title = options.title
    instance.submit = options.submit
    instance.textAlign = options.textAlign
    instance.button = options.button
    instance.func = options.func || 'toast'
    instance.hint = options.hint
    instance.hintStyle = options.hintStyle
    clearTimeout(this.time)

    // 永不关闭
    if (!options.duration) {
      return
    }

    this.time = setTimeout(() => {
      instance.show = false
      if (options.callback) {
        options.callback(options)
      }
    }, options.duration)
  },
  close() {
    if (instance) {
      instance.show = false
      instance.close = true
    }
  },
  install(Vue) {
    Vue.prototype.$sdkShow = SdkShow
  }
}

export default SdkShow
