// 初始化年
export const initYear = (item) => {
    item.unit = item.unit || '年';

    
    const min = item.min || 30;
    const max = item.max; //  || 10

    const Time = new Date();
    let years = Time.getFullYear();
    item.values = [];
    item.activeVal = item.activeVal || (years + '');

    // 设定的指定年份
    if(item.min && item.max && item.min < item.max) {
        for(let i = item.max; i >= item.min; i--) {
            item.values.push({
                text: Number(i) + ''
            });
        }
        return item;
    }


    // 未设定指定年份
    for(let i = 0; i < 30; i++) {
        item.values.push({
            text: Number(item.activeVal) - i + ''
        });
    }

    // if(max) {
    //     for(let i = 0; i < max; i++) {
    //         item.values.unshift({
    //             text: Number(item.activeVal) + i + 1 + ''
    //         });
    //     }
    // } else {
    let activeVal = item.activeVal;
    for(activeVal; activeVal < years + 10; activeVal++) {
        item.values.unshift({
            text: Number(activeVal) + 1 + ''
        });
    }
    // }
    
    
    return item;
};

// 初始化月
export const initMonth = (item) => {
    item.unit = item.unit || '月';
    item.values = [];
    for(let i = 0; i < 12; i++) {
        item.values.push({
            text: twoNumber(i + 1)
        });
    }
    return item;
}

// 初始化日
export const initDay = (item, years = '', months = '') => {
    let day = 30; // 4, 6, 9, 11 是30天
    item.unit = item.unit || '日';
    item.values = [];

    if(['1', '3', '5', '7', '8', '10', '12'].indexOf(months) > -1) {
        day = 31;
    }
    
    if(months === '2' && years % 4 === 0) {
        day = 29;
    } else if(months === '2' && years % 4 > 0) {
        day = 28;
    }
    
    for(let i = 0; i < day; i++) {
        item.values.push({
            text: twoNumber(i + 1)
        });
    }
    return item;
}

// 初始化时
export const initHour = (item) => {
    item.unit = item.unit || '时';
    const plus = item.plus || 1;
    item.values = [];
    for(let i = 0; i < 24; i += plus) {
        item.values.push({
            text: twoNumber(i)
        });
    }
    return item;
}

// 初始化分
export const initMinute = (item) => {
    item.unit = item.unit || '分';
    const plus = item.plus || 1;
    item.values = [];
    for(let i = 0; i < 60; i += plus) {
        item.values.push({
            text: twoNumber(i)
        });
    }
    return item;
}

// 初始化秒
export const initSecond = (item) => {
    item.unit = item.unit || '秒';
    const plus = item.plus || 1;
    item.values = [];
    for(let i = 0; i < 60; i += plus) {
        item.values.push({
            text: twoNumber(i)
        });
    }
    return item;
}

// 初始化周
// export const initWeek = (item) => {
//     item.values = [{
//         text: '星期一'
//     },{
//         text: '星期二'
//     },{
//         text: '星期三'
//     },{
//         text: '星期四'
//     },{
//         text: '星期五'
//     },{
//         text: '星期六'
//     },{
//         text: '星期日'
//     }];
//     return item;
// }

// 两位数
const twoNumber = (val) => {
    val += '';
    if(val.length === 1) {
        return '0' + val;
    }
    return val;
}

export const getDateInfo = (date) => {
    let data = [];
    let info = [];

    // yyyy-mm-dd hh:mm:ss
    if(/^([1-2][0-9][0-9][0-9])-([1-2][0]|[0-2][1-9]|3[0-1])-([0-2][1-9]|3[0-1]|20|10) ([0-1][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])$/.test(date)) {
        data = ['years', 'months', 'days', 'hours', 'minutes', 'seconds'];
        const [years, days] = date.split(' ');
        info = [...years.split('-'), ...days.split(':')];
    }

    // yyyy-mm-dd hh:mm
    if(/^([1-2][0-9][0-9][0-9])-([1-2][0]|[0-2][1-9]|3[0-1])-([0-2][1-9]|3[0-1]|20|10) ([0-1][0-9]|2[0-3]):([0-5][0-9])$/.test(date)) {
        data = ['years', 'months', 'days', 'hours', 'minutes'];
        const [years, days] = date.split(' ');
        info = [...years.split('-'), ...days.split(':')];
    }

    // yyyy-mm-dd hh
    if(/^([1-2][0-9][0-9][0-9])-([1-2][0]|[0-2][1-9]|3[0-1])-([0-2][1-9]|3[0-1]|20|10) ([0-1][0-9]|2[0-3])$/.test(date)) {
        data = ['years', 'months', 'days', 'hours'];
        const [years, days] = date.split(' ');
        info = [...years.split('-'), ...days.split(':')];
    }

    // yyyy-mm-dd
    if(/^([1-2][0-9][0-9][0-9])-([1-2][0]|[0-2][1-9]|3[0-1])-([0-2][1-9]|3[0-1]|20|10)$/.test(date)) {
        data = ['years', 'months', 'days'];
        info = date.split('-');
    }

    // yyyy-mm
    if(/^([1-2][0-9][0-9][0-9])-([1-2][0]|[0-2][1-9]|3[0-1])$/.test(date)) {
        data = ['years', 'months'];
        info = date.split('-');
    }

    // mm-dd
    if(/^([1-2][0]|[0-2][1-9]|3[0-1])-([0-2][1-9]|3[0-1]|20|10)$/.test(date)) {
        data = ['months', 'days'];
        info = date.split('-');
    }

    // hh:mm:ss
    if(/^([0-1][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])$/.test(date)) {
        data = ['hours', 'minutes', 'seconds'];
        info = date.split(':');
    }

    // mm-dd hh:mm:ss
    if(/^([1-2][0]|[0-2][1-9]|3[0-1])-([0-2][1-9]|3[0-1]|20|10) ([0-1][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])$/.test(date)) {
        data = ['months', 'days', 'hours', 'minutes', 'seconds'];
        const [years, days] = date.split(' ');
        info = [...years.split('-'), ...days.split(':')];
    }

    // mm-dd hh:mm
    if(/^([1-2][0]|[0-2][1-9]|3[0-1])-([0-2][1-9]|3[0-1]|20|10) ([0-1][0-9]|2[0-3]):([0-5][0-9])$/.test(date)) {
        data = ['months', 'days', 'hours', 'minutes'];
        const [years, days] = date.split(' ');
        info = [...years.split('-'), ...days.split(':')];
    }

    // mm-dd hh
    if(/^([1-2][0]|[0-2][1-9]|3[0-1])-([0-2][1-9]|3[0-1]|20|10) ([0-1][0-9]|2[0-3])$/.test(date)) {
        data = ['months', 'days', 'hours'];
        const [years, days] = date.split(' ');
        info = [...years.split('-'), ...days.split(':')];
    }

    // yyyy-mm-dd
    if(!data.length) {
        data = ['years', 'months', 'days'];
    }

    return [data, info];
}