import { pad } from '../other'

// 分钟转为绝对/相对时间
export function min2Time (min: number, isAbsolute?: boolean | undefined) {
  let hh
  let mm
  if (isAbsolute) {
    const now = Date.now()
    const future = now + min * 60 * 1000
    const d = new Date(future)
    hh = pad(d.getHours(), 2)
    mm = pad(d.getMinutes(), 2)
  } else {
    hh = pad(~~(min / 60), 2)
    mm = pad(~~(min % 60), 2)
  }
  return `${hh}:${mm}`
}

// 分钟转化为时间段，单位带格式
export function min2TimeUnit (min: number, unit: string = '0.3em') {
  const arr = min2Time(min).split(':')
  const unitStyle = `font-size:${unit};vertical-align:baseline;`
  return `${arr[0]}<span style="${unitStyle}">时</span>${arr[1]}<span style="${unitStyle}">分</span>`
}

// 分钟转为时间段
export function min2Duration (min: number) {
  let ret: string = ''
  let hh = ~~(min / 60)
  let mm = min % 60
  if (hh) ret += `${hh}小时`
  if (mm) ret += `${mm}分钟`
  return ret
}

// 毫秒转为时间段
export function ms2Duration (ms: number) {
  let min = Math.ceil(ms / 60 / 1000)
  return min2Duration(min)
}
