
// import './lib/mtop.common.js'
// import './lib/windvane.common.js'
// import './lib/promise.common.js'
/**
 * Layout 布局组件
 */
import Row from './packages/Row'
import Col from './packages/Col'
import { Cell, CellGroup } from './packages/Cell'
import Icon from './packages/Icon'
import Tag from './packages/Tag'
import { Btn, BtnGroup } from './packages/Btn'
import TitleGroup from './packages/TitleGroup'
import Item from './packages/Item'
import TnTitle from './packages/Title'
import DeviceTop from './packages/DeviceTop'

/**
 * Form 表单组件
 */
import { Radio, RadioGroup } from './packages/Radio'
import InputNumber from './packages/InputNumber'
import SwitchButton from './packages/SwitchButton'
import { PushButton, PushGroup, PushBar } from './packages/PushButton'
import Slider from './packages/Slider'
import ColorPicker from './packages/ColorPicker'
import SelectColor from './packages/SelectColor'
import TextInputCell from './packages/TextInputCell'
import InputCell from './packages/InputCell'

/**
 * Notice 通知组件
 */
import Loading from './packages/Loading'
import Toast from './packages/Toast'
import Dialog from './packages/Dialog'
import Alert from './packages/Alert'
import Confirm from './packages/Confirm'
import ProgressBar from './packages/ProgressBar'
import Notice from './packages/Notice'
import OpenMeshDepend from './packages/OpenMeshDepend'
import SdkShow from './packages/SdkShow'

/**
 * Navigation 导航组件
 */
import Header from './packages/Header'
import { Tab, TabItem } from './packages/Tab'

/**
 * Others 其他组件
 */
import ActionDialog from './packages/ActionDialog'
import SelectPicker from './packages/Select'
import DayPicker from './packages/DayPicker'
import { Swipe, SwipeGroup } from './packages/Swipe'
import DateTime from './packages/DateTime'
import SelectList from './packages/Select-list'
import ModalList from './packages/Modal-list'

/**
 * Utils 工具方法
 */
import {
  cronParse, cronRepeat, time2cron, cron2time,
  transDateStr, formatDate,
  outclick, scrollTop,
  QUERY_PARAMS,
  clone, mod, sleep, getNow, pad,
  decode, encode, qsParse, qsStringify, escapeHtml, escapeJs,
  localStorage,
  throttle, debounce,
  px2vw, realPx, targetPx,
  isAndroid, isiOS, isIPX,
  VisibilityChange, VisibilityClear, VisibilityStop,
  lockScroll,
} from './packages/Utils'

/**
 * IoT域 组件和方法
 */
import IotHeader from './packages/IotHeader'
import { IotLayoutControl, IotLayoutNormal } from './packages/IotLayout'
import IotLayerBg from './packages/IotLayerBg'
import IotLayerContent from './packages/IotLayerContent'
import IotLayerControl from './packages/IotLayerControl'
import IotPanelNotify from './packages/IotPanelNotify'
import IotPanelShow from './packages/IotPanelShow'
import IotPanelError from './packages/IotPanelError'
import IotPanelStatus from './packages/IotPanelStatus'
import IotDayPicker from './packages/IotDayPicker'
import IotUserList from './packages/IotUserList'
import { IotTab, IotTabItem } from './packages/IotTab'

import {
  alert, confirm, toast, goBack, makeCall,
  openUrl, generateUrl, genUserUrl, genSleepUrl, genEnergyUrl,
  tracker,
  min2Time, min2TimeUnit, min2Duration, ms2Duration,
  iotGenScheduleUrl,
  mtop, iotMtop, mtopv2, mtopFormat,
  mtopRequest, mtopResultFormat,
  iotGetWifiDeviceStatus, iotSetWifiDeviceStatus,
  iotPolling,
  iotBestResponse,
} from './packages/Utils/IoT'

export {
  // Layout 布局组件
  Row, Col, Cell, CellGroup, Icon, Tag, Btn, BtnGroup, TitleGroup, Item, TnTitle, DeviceTop,
  // Form 表单组件
  Radio, RadioGroup, InputNumber, SwitchButton, PushButton, PushGroup, PushBar, Slider, ColorPicker, SelectColor, TextInputCell, InputCell,
  // Notice 通知组件
  Loading, Toast, Dialog, Alert, Confirm, ProgressBar, Notice, OpenMeshDepend, SdkShow,
  // Navigation 导航组件
  Header, Tab, TabItem,
  // Others 其他组件
  ActionDialog, SelectPicker, DateTime, DayPicker, Swipe, SwipeGroup, SelectList, ModalList,
  // Iot 组件
  IotTab, IotTabItem,
  // Utils 工具方法
  cronParse, cronRepeat, time2cron, cron2time,
  transDateStr, formatDate,
  outclick, scrollTop,
  QUERY_PARAMS,
  clone, mod, sleep, getNow, pad,
  decode, encode, qsParse, qsStringify, escapeHtml, escapeJs,
  localStorage,
  throttle, debounce,
  px2vw, realPx, targetPx,
  isAndroid, isiOS, isIPX,
  VisibilityChange, VisibilityClear, VisibilityStop,
  lockScroll,
  // IoT域 组件和方法
  IotHeader, IotLayoutControl, IotLayoutNormal, IotLayerBg, IotLayerContent, IotLayerControl,
  IotPanelNotify, IotPanelShow, IotPanelError, IotPanelStatus, IotDayPicker, IotUserList,
  alert, confirm, toast, goBack, makeCall,
  openUrl, generateUrl, genUserUrl, genSleepUrl, genEnergyUrl,
  tracker,
  min2Time, min2TimeUnit, min2Duration, ms2Duration,
  iotGenScheduleUrl,
  mtop, iotMtop, mtopv2, mtopFormat,
  mtopRequest, mtopResultFormat,
  iotGetWifiDeviceStatus, iotSetWifiDeviceStatus,
  iotPolling,
  iotBestResponse,
}
